Bug 837462 - Mouse drift when pressing button or clicking mouse.
Mouse drift when pressing button or clicking mouse.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmmouse (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 21:51 EDT by Kyle Evans
Modified: 2013-08-01 09:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:39:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xev-event-log-1.txt (39.22 KB, text/plain)
2012-09-23 13:47 EDT, Steve Tyler
no flags Details
Xorg.0.log (28.07 KB, text/plain)
2012-09-23 13:50 EDT, Steve Tyler
no flags Details
Xorg.0.log when qemu-kvm is run with "-usbdevice mouse" (30.44 KB, text/plain)
2012-09-23 15:52 EDT, Steve Tyler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 996821 None None None 2012-07-03 21:51:31 EDT

  None (edit)
Description Kyle Evans 2012-07-03 21:51:31 EDT
Description of problem: Pressing a button causes the mouse to drift.  The cursor never moves.  Only an "invisible" cursor moves causing things like tooltips to popup or a window to drift when using the "alt + left click" to move a window.

How reproducible:  Alt + click a window to move it and watch it drift.  Type and watch tooltips no where near your mouse cursor pop up.  Clicking to highlight text tends to either unselect or select a single character.
  
Actual results:  Tooltips popping up when typing.  Highlighting stuff is a pain.  Moving windows with "alt + left click" moves.  The cursor itself never moves.  Only a "hidden" cursor moves but immediately the "hidden" and real cursor align when you move the mouse again.


Expected results:  No drift.


Additional info:  This has been documented on the vmware forums:
http://communities.vmware.com/message/2039926

It's recently been fixed in Ubuntu (see external bug).

Enough evidence to set this to confirmed in my opinion.
Comment 1 Kyle Evans 2012-07-03 22:07:39 EDT
I failed to notice before hitting submit that VMWare has issued a fix:

http://lists.freedesktop.org/archives/xorg/2012-May/054597.html
Comment 2 Steve Tyler 2012-09-22 18:29:17 EDT
I am seeing a similar problem with a drifting pointer in an F17 gnome desktop system running in a VM. Each time the left mouse button is clicked, the pointer moves one pixel to the right.

A work-around seems to be to set "-usbdevice mouse":

$ qemu-kvm -m 1024 -hda f17-test-1.img -usbdevice mouse

Guest:
xorg-x11-drv-vmmouse-12.8.0-1.fc17.x86_64

Host:
qemu-kvm-1.0.1-1.fc17.x86_64

This could be the same problem when running an F18 Alpha installer:
Bug 858679 - Clicking in DATE & TIME randomly selects wrong timezone.
Comment 3 Steve Tyler 2012-09-23 13:47:15 EDT
Created attachment 616174 [details]
xev-event-log-1.txt

xev event log showing spurious MotionNotify events preceding ButtonPress and ButtonRelease:

MotionNotify event, serial 29, synthetic NO, window 0x1600001,
    root 0x102, subw 0x0, time 1768666, (84,106), root:(144,200),
    state 0x0, is_hint 0, same_screen YES

ButtonPress event, serial 29, synthetic NO, window 0x1600001,
    root 0x102, subw 0x0, time 1768666, (84,106), root:(144,200),
    state 0x0, button 1, same_screen YES

MotionNotify event, serial 29, synthetic NO, window 0x1600001,
    root 0x102, subw 0x0, time 1768872, (85,106), root:(145,200),
    state 0x100, is_hint 0, same_screen YES

ButtonRelease event, serial 29, synthetic NO, window 0x1600001,
    root 0x102, subw 0x0, time 1768872, (85,106), root:(145,200),
    state 0x100, button 1, same_screen YES

Host:
$ qemu-kvm -m 1024 -hda f17-test-1.img
qemu-kvm-1.0.1-1.fc17.x86_64

Guest:
Linux f17-test-1 3.5.4-1.fc17.x86_64 #1 SMP Mon Sep 17 15:03:59 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

xorg-x11-drv-ast-0.93.9-6.fc17.x86_64
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
xorg-x11-drv-cirrus-1.4.0-1.fc17.x86_64
xorg-x11-drv-dummy-0.3.5-4.fc17.x86_64
xorg-x11-drv-evdev-2.7.0-2.fc17.x86_64
xorg-x11-drv-fbdev-0.4.2-8.fc17.x86_64
xorg-x11-drv-intel-2.20.7-1.fc17.x86_64
xorg-x11-drv-mga-1.4.13-19.20120104git9223c44a7.fc17.x86_64
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.x86_64
xorg-x11-drv-openchrome-0.2.906-1.fc17.x86_64
xorg-x11-drv-qxl-0.0.22-0.fc17.x86_64
xorg-x11-drv-synaptics-1.6.2-1.fc17.x86_64
xorg-x11-drv-vesa-2.3.1-1.fc17.x86_64
xorg-x11-drv-vmmouse-12.8.0-1.fc17.x86_64
xorg-x11-drv-vmware-12.0.2-1.fc17.x86_64
xorg-x11-drv-void-1.4.0-8.fc17.x86_64
xorg-x11-drv-wacom-0.14.0-2.fc17.x86_64
xorg-x11-font-utils-7.5-7.fc17.x86_64
xorg-x11-server-common-1.12.3-2.fc17.x86_64
xorg-x11-server-utils-7.5-12.fc17.x86_64
xorg-x11-server-Xephyr-1.12.3-2.fc17.x86_64
xorg-x11-server-Xorg-1.12.3-2.fc17.x86_64
xorg-x11-utils-7.5-6.fc17.x86_64
xorg-x11-xauth-1.0.7-1.fc17.x86_64
xorg-x11-xinit-1.3.2-5.fc17.x86_64
xorg-x11-xkb-utils-7.5-6.fc17.x86_64
Comment 4 Steve Tyler 2012-09-23 13:50:05 EDT
Created attachment 616175 [details]
Xorg.0.log
Comment 5 Steve Tyler 2012-09-23 14:39:17 EDT
Spurious MotionNotify events were reported 2008-05-28 in Bug 448767, Comment 6:
Bug 448767 - odd behavior with vmmouse driver

See also, this from 2009-04-25:
VMWare fusion host + vmmouse driver generates drag events on any click
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-vmmouse/+bug/366521

Commit from 2009-05-11:
1) Fix bug where motion notify events were being sent with every button event.
xf86-input-vmmouse-12.6.4
http://cgit.freedesktop.org/xorg/driver/xf86-input-vmmouse/commit/?id=d61609868697825717d2f6a63b2a6177cb13873b

X.org xf86-input-vmmouse driver.
http://cgit.freedesktop.org/xorg/driver/xf86-input-vmmouse/
Comment 6 Steve Tyler 2012-09-23 15:52:25 EDT
Created attachment 616206 [details]
Xorg.0.log when qemu-kvm is run with "-usbdevice mouse"

The pointer does not drift and spurious MotionNotify events do not occur with "-usbdevice mouse":

$ qemu-kvm -m 1024 -hda f17-test-1.img -usbdevice mouse
Comment 7 Kyle Evans 2012-09-23 16:06:11 EDT
This is fixed as of xf86-input-vmmouse 12.9.0.  I've been running it for a couple months now and haven't had any issues.  Though I do re-build every time there's an update to the X stack (just because I'm paranoid ABI breakage might occur).
Comment 8 Steve Tyler 2012-09-23 16:19:22 EDT
(In reply to comment #7)
> This is fixed as of xf86-input-vmmouse 12.9.0.  I've been running it for a
> couple months now and haven't had any issues.  Though I do re-build every
> time there's an update to the X stack (just because I'm paranoid ABI
> breakage might occur).

Thanks for your report. xorg-x11-drv-vmmouse 12.9.0 doesn't seem to have been built for F17 yet:

https://admin.fedoraproject.org/updates/search/xorg-x11-drv-vmmouse
http://koji.fedoraproject.org/koji/packageinfo?packageID=852
Comment 9 Fedora End Of Life 2013-07-04 00:28:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 09:40:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.